<div class="card border-success mb-3">
  <div class="card-header">
    <h2>Todos los Clientes</h2>
  </div>
  <div class="card-body text-success">
    <!-- <h2 class="card-title">todos los Clientes</h2> -->
    <div class="my-2 text-left">
      <button class="btn btn-rounded btn-primary" type="button" [routerLink]="['/clientes/form']"
        routerLinkActive="router-link-active">Crear cliente</button>
    </div>
    <div>
      <div class="alert alert-info alert-dismissible fade show" role="alert" *ngIf="clientes?.length==0">
        <strong>Upss !</strong> parece que no existen registros aún.
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    </div>
    <table class=" table table-bordered table-striped" *ngIf="clientes?.length>0">
      <thead class="thead-light">
        <tr>
          <th>ID</th>
          <th>Nombre</th>
          <th>Apellido</th>
          <th>E-Mail</th>
          <th>Fecha</th>
          <th>Editar</th>
          <th>Eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let cliente of clientes">
          <td> {{cliente.id}} </td>
          <td> {{cliente.nombre}} </td>
          <td> {{cliente.apellido}} </td>
          <td> {{cliente.email}} </td>
          <td> {{cliente.createAt}} </td>
          <td>
            <button type="button" name="Editar" [routerLink]="['/clientes/form',cliente.id]" class="btn btn-primary">
              Editar
            </button>
          </td>
          <td>
            <button type="button" name="Eliminar" (click)='delete(cliente)' class="btn btn-danger">
              Eliminar
            </button>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <th>#</th>
        </tr>
      </tfoot>
    </table>
  </div>
</div>